# sem_release

(PHP 4, PHP 5, PHP 7)

sem_release — Release a semaphore

### Description

sem_release ( resource `$sem_identifier` ) : bool

sem_release() releases the semaphore if it is currently acquired by the calling process, otherwise a warning is generated.

After releasing the semaphore, sem_acquire() may be called to re-acquire it.

### Parameters

`sem_identifier`

  A Semaphore resource handle as returned by sem_get().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- sem_get() - Get a semaphore id
- sem_acquire() - Acquire a semaphore